WinShopAPI docs
ReferenceItem lists

Documents / Claims / States

List states

GET
/api/item-lists/documents/claims/states

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?

Row of dbo.REKLAMACE_STAVY. The table is shared by customer, internal and supplier claims.

curl -X GET 'https://<your-instance>/api/item-lists/documents/claims/states' \  -H 'Authorization: Bearer <access-token>'
[  {    "colorInteger": 0,    "id": 0,    "isClosed": true,    "isInvisible": true,    "name": "string"  }]

Get a state

GET
/api/item-lists/documents/claims/states/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response

Row of dbo.REKLAMACE_STAVY. The table is shared by customer, internal and supplier claims.

colorInteger?integer
Formatint32
id?integer
Formatint32
isClosed?boolean
isInvisible?boolean
name*string
curl -X GET 'https://<your-instance>/api/item-lists/documents/claims/states/0' \  -H 'Authorization: Bearer <access-token>'
{  "colorInteger": 0,  "id": 0,  "isClosed": true,  "isInvisible": true,  "name": "string"}